Historical contract: Create Extras Option
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Create Extras Option
This API endpoint is used to create a product option.
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "extra_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"conditioned"
],
"properties": {
"name": {
"type": "string"
},
"conditioned": {
"type": "boolean"
},
"respect_to": {
"type": "integer",
"format": "int32"
},
"min": {
"type": "integer",
"format": "int32"
},
"max": {
"type": "integer",
"format": "int32"
},
"with_half_option": {
"type": "boolean"
},
"allow_suboption_quantity": {
"type": "boolean"
},
"enabled": {
"type": "boolean"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"name\": \"<redacted-personal>\",\n \"conditioned\": false,\n \"with_half_option\": false,\n \"allow_suboption_quantity\": false,\n \"enabled\": false,\n \"extra_id\": \"49\",\n \"rank\": 6,\n \"updated_at\": \"2018-11-29 14:46:53\",\n \"created_at\": \"2018-11-29 14:46:53\",\n \"id\": 73\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"conditioned": {
"type": "boolean",
"example": false,
"default": true
},
"with_half_option": {
"type": "boolean",
"example": false,
"default": true
},
"allow_suboption_quantity": {
"type": "boolean",
"example": false,
"default": true
},
"enabled": {
"type": "boolean",
"example": false,
"default": true
},
"extra_id": {
"type": "string",
"example": "49"
},
"rank": {
"type": "integer",
"example": 6,
"default": 0
},
"updated_at": {
"type": "string",
"example": "2018-11-29 14:46:53"
},
"created_at": {
"type": "string",
"example": "2018-11-29 14:46:53"
},
"id": {
"type": "integer",
"example": 73,
"default": 0
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"The selected Extra is invalid.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "The selected Extra is invalid."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"name\": \"<redacted-personal>\",\n \"conditioned\": false,\n \"extra_id\": \"49\",\n \"rank\": 6,\n \"updated_at\": \"2018-11-29 14:46:53\",\n \"created_at\": \"2018-11-29 14:46:53\",\n \"id\": 73\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"conditioned": {
"type": "boolean",
"example": false,
"default": true
},
"extra_id": {
"type": "string",
"example": "49"
},
"rank": {
"type": "integer",
"example": 6,
"default": 0
},
"updated_at": {
"type": "string",
"example": "2018-11-29 14:46:53"
},
"created_at": {
"type": "string",
"example": "2018-11-29 14:46:53"
},
"id": {
"type": "integer",
"example": 73,
"default": 0
}
}
}
}
}
}
}
}
}